=== debian/changelog ===
shiboken2 (2.0.0.dev0-0~201604191547~rev1610~pkg23~ubuntu15.10.1) wily; urgency=low

  * Auto build.

 -- Thomas Karl Pietrowski <thopiekar@googlemail.com>  Tue, 19 Apr 2016 15:47:07 +0000

shiboken2 (2.0.0.dev0) unstable; urgency=medium

  * Initial release

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Aug 2015 17:40:32 +0200

shiboken (1.2.2-2) unstable; urgency=medium

  [ Iain Lane ]
  * Rebuild for python3.5
    + Extend hack to skip tests which still fail for py3.5

  [ Dmitry Shachnev ]
  * Run tests for python3.5-dbg, not twice for python3.4-dbg

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition (Closes: #791276)
  * Drop legacy support for g++ < 4.5, which breaks with g++ 5's version number
    (Closes: #778118)

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Aug 2015 17:40:32 +0200

shiboken (1.2.2-1) unstable; urgency=medium

  * New 1.2.2 upstream release
    - Refresh patches

 -- Didier Raboud <odyx@debian.org>  Thu, 01 May 2014 17:45:03 +0200

shiboken (1.2.1-4) unstable; urgency=low

  * Mark the AutoDecRef destructor symbol as optional as it chokes on sparc

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Feb 2014 09:56:55 +0100

shiboken (1.2.1-3) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Drop refcounting extension, removed in Sphinx 1.2 (Closes: #735835)

  [ Didier Raboud ]
  * Blacklist some tests in the testsuite for the debug flavour of Python3.4
  * Re-order debian/copyright for CF-1.0 conformance
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Feb 2014 18:23:00 +0100

shiboken (1.2.1-2) unstable; urgency=low

  * Rewrite debian/copyright with CF-1.0 (Closes: #722504)
  * Correct the default python suffix for python3, make sure cmake's
    default is python2's

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Sep 2013 20:07:19 +0200

shiboken (1.2.1-1) unstable; urgency=low

  * New 1.2.1 upstream release.

  [ Bart Martens ]
  * Update debian/watch

  [ Didier Raboud ]
  * Bump libshiboken SOVERSION to 1.2, update symbols
    - Add four new 1.2.1 symbols
  * Drop upstream-imported patches, refresh the other
  * Add patch to fix one test's exceptions' Python3 syntax
  * Drop the explicit dependencies of Libs and Cflags in pkg-config in
    favour of a Requires (LP: #1155595)
  * Drop obsolete source lintian override for dh 9
  * Replaced Nokia with Digia in debian/copyright
  * Delete static-override-fix.patch as it was fixed differently by
    upstream

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Sep 2013 10:36:46 +0200

shiboken (1.1.2-4) unstable; urgency=low

  * Update patches to ensure that the Python3 builds occur against the
    correct Python3 libraries, also add the needed tweaks in
    debian/rules.
  * Fix watch file
  * Bump debhelper build-depends to 9, to align with compat.
  * Bump Standards-Version to 3.9.4 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Jun 2013 14:04:31 +0200

shiboken (1.1.2-3) unstable; urgency=low

  * Upload to unstable.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Julian Taylor ]
  * Add python3.3-and-multiarch.patch to add python3.3 to list of python
    versions and deal with multiarch include paths
  * Add memleak-instead-crash.patch to avoid crash on dereferencing
    object in tests introduce an intentional memleak until we have a
    proper fix.
  * Add static-override-fix.patch to fix broken static/non-static
    overloads in python3.
  * update debian/shiboken-dbg.install and debian/rules makeshlibs
    override for new python abi suffixes not having "u".

  [ Didier Raboud ]
  * Import all upstream patches on top of 1.1.2, refresh affected
    patches.
  * Make the Python3 only build on >= 3.3, as the 3.2 build fails to
    have running tests.
  * Patch sample_overflow test to use int( instead of long( as per PEP-
    0237.

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Jun 2013 10:49:54 +0200

shiboken (1.1.2-2) experimental; urgency=low

  * Add python{,3}-numpy-dbg to Build-Depends to have all tests pass.
  * Make dbg tests build-critical.

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Oct 2012 10:06:19 +0100

shiboken (1.1.2-1) experimental; urgency=low

  * New 1.1.2 "Alaursa" release.
    - Add 6 1.1.2-specific symbols;

  * Update B-Ds:
    - add python{,3}-numpy to succeed all tests.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Sep 2012 08:47:15 +0200

shiboken (1.1.1-1) unstable; urgency=low

  * New 1.1.1 "Free Hugs" release.
    "Unified toolchain! No more GeneratorRunner and ApiExtractor, now
     you just need Shiboken to compile PySide."

  * Update B-Ds:
    - drop generatorrunner;
    - drop apiextractor;
    - add libxml2-dev (>= 2.6.32);
    - add libxslt1-dev (>= 1.1.19).
  * Drop generatorrunner depends.
  * Don't try to install the shiboken generatorrunner plugin which is no
    more built.
  * Update packages descriptions to drop the bit about apiextractor and
    generatorrunner.
  * Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Apr 2012 11:21:42 +0200

shiboken (1.1.0-2) unstable; urgency=low

  * Update one exported symbol to cope with size_t size differences between
    32-64 bit machines.

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Jan 2012 10:45:20 +0100

shiboken (1.1.0-1) unstable; urgency=low

  * New 1.1.0 upstream release.
    - Bump libshiboken SOVERSION to 1.1, update symbols:
      * Remove one 1.0-specific symbol;
      * Add 55 1.1-specific symbols;
      * Put the SOVERSION as debian/rules parameter;
      * Rename libshiboken and libshiboken-py3 packages.
    - Bump B-Ds:
      * on generatorrunner to 0.6.16;
      * on apiextractor to 0.10.10.

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jan 2012 20:58:04 +0100

shiboken (1.0.10-1) unstable; urgency=low

  * New 1.0.10 upstream release.
  * Bump B-Ds:
    - on generatorrunner to 0.6.15;
    - on apiextractor to 0.10.9.

  * Upload the python3 flavours to unstable.

